TICKIT_STRING_NEW(3)

NAME
tickit_string_new - create a counted string

SYNOPSIS
    #include <tickit.h>

    TickitString *tickit_string_new(const char *str, size_t len);

Link with -ltickit.

DESCRIPTION
tickit_string_new() creates a new TickitString instance. It will be initialised with the contents of the given string buffer.

The reference count of a newly-constructed string instance will be one. This can be incremented or decremented using tickit_string_ref(3) and tickit_string_unref(3). When its reference count reaches zero it is destroyed.

RETURN VALUE
If successful, tickit_string_new() returns a pointer to the new instance.

SEE ALSO
tickit_string_get(3), tickit_string(7), tickit(7)